#version 330

layout(location=0) in vec3 position;
layout(location=1) in vec3 velocity;
layout(location=2) in float age;
layout(location=3) in float type;

out vec3 vPosition;
out vec3 vVelocity;
out float vAge;
out float vType;

void main()
{
	vPosition = position;
	vVelocity = velocity;
	vAge = age;
	vType = type;
}